<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN" 
  "http://www.w3.org/TR/xhtml1/DTD/xhtml11.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">

<!-- index.html  P. Conrad, for CISC474, H07, 04/05/2007 
     Form for BeerAdvisor servlet from HFSJ, Chapter 3

     Based on code from HFSJ Chapter 3, but:
     * renamed to index.html to hide contents of web directory
       and make URL simpler
     * brought up to date with proper XHTML 1.1 syntax 
-->

<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
<title>Beer Advisor</title>
<style type="text/css">
  h1 {text-align:center}
  .center {text-align: center}
</style>
</head>

<body>

<%

HttpSession thisSession = request.getSession(false);

if (thisSession == null || 
   session.getAttribute("loginWasValid") == null ||
   session.getAttribute("loginWasValid").equals(Boolean.FALSE)) 
{
%>

<h1>Sorry... you are not logged in!</h1>

<p>Please go to the <a href="login.jsp">login page</a></p>
 
<%

}
  else
{

%>

<%-- This is the else part---you only see this if you are logged in --%>

<h1>Beer Selection Page </h1>


<%-- The following uses the syntax from p. 286 in HFSJ... read it!
     A hint: with this syntax, DON'T end with a semicolon!!! --%>

<h2>Greetings, 
<%=  session.getAttribute("fname") + " " + session.getAttribute("lname") %>
</h2>


<form method="post" action="SelectBeer.do">


<p>Select beer characteristics: </p>

<p>Color
<select name="color" id="color">
   <option>light</option>
   <option>amber</option>
   <option>brown</option>
   <option>dark</option>
</select></p>
<p class="center">

<input type="submit" />
</p>
</form>

<hr />
<form action="logout.do" method="post">
<input type="submit" value="logout" />
</form>

<hr />
<p>
    <a href="http://validator.w3.org/check?uri=referer"><img
        src="http://www.udel.edu/CIS/images/valid-xhtml11.png"
        alt="Valid XHTML 1.1" height="31" width="88" /></a>
  </p>

<%

} // end of the else part

%>

</body>
</html>
