# create_BA_Users.sql    
# P. Conrad, for CISC474, Spring 2007
#
# Create and populate a table of userid, passwords and emails.

# Indicate which database to use 

USE pconrad; 

# Drop any old version of the table, and set up the new schema

DROP TABLE IF EXISTS BA_Users;

CREATE TABLE BA_Users (
  userid   varchar(30) NOT NULL,
  password varchar(30) NOT NULL,
  email    varchar(30) NOT NULL,
  fname    varchar(30) NOT NULL,
  lname    varchar(30) NOT NULL,
  PRIMARY KEY  (userid)
);

# Populate the table with rows

INSERT INTO BA_Users (userid, password, email, fname, lname) VALUES 
('admin', 'changeMe', 'admin@example.com', 'The', 'Admin'),
('pconrad', 'changeMe', 'pconrad@udel.edu', 'Phill', 'Conrad');

